/*
 * This is a simple program to check a type of a triangle from the length of
 * specified edges. The edges are given as three numerical parameters to the
 * program on the command line. Program checks for the proper number of
 * parameters, then it checks for triangle inequality, and outputs most precise
 * characteristics of the triangle under inspection (equiliteral, isosceles,
 * scalene).
 */

#include <stdio.h>
#include <stdlib.h>

#include "triangle.h"

int main(int argc, char* argv[])
{
	if (argc!=4)
	{
		printf("Need exactly three numerical arguments.\n");
		return 0;
	}

	double A,B,C;
	A=atof(argv[1]);
	B=atof(argv[2]);
	C=atof(argv[3]);

	printf("Parameter entered (A,B,C) = (%f,%f,%f)\n",A,B,C);
	printf("These edges ");
	switch(triangle_type(A, B, C)) {
		case NONE:
			printf("do not form a triangle\n");
			break;
		case ISOSCELES:
			printf("form an isosceles triangle\n");
			break;
		case EQUILATERAL:
			printf("form an equiliteral triangle\n");
			break;
		case SCALENE:
			printf("form a scalene triangle\n");
			break;
		default:
			abort();
	}

	return 0;
}

